Name:           slim
Version:        1.3.0
Release:        4%{?dist}
Summary:        Simple Login Manager

Group:          User Interface/X
License:        GPL
URL:            http://slim.berlios.de/
Source0:        http://download.berlios.de/slim/%{name}-%{version}.tar.gz
# stolen from xdm
Source1:        %{name}.pam
# adapted from debian to use freedesktop
Source2:        slim-update_slim_wmlist
Source3:        slim-fedora.txt
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch0:         slim-1.3.0-make.patch
Patch1:         slim-1.2.6-usexwd.patch
Patch2:         slim-1.2.6-fedora.patch
Patch3:         slim-1.3.0-strtol.patch

BuildRequires:  libXmu-devel libXft-devel libXrender-devel
BuildRequires:  libpng-devel libjpeg-devel freetype-devel fontconfig-devel
BuildRequires:  pkgconfig gettext libselinux-devel pam-devel
BuildRequires:  xwd xterm /sbin/shutdown
Requires:       xwd xterm /sbin/shutdown
Requires:       %{_sysconfdir}/pam.d
# we use 'include' in the pam file, so
Requires:       pam >= 0.80
# reuse the images
Requires:       desktop-backgrounds-basic system-logos

%description
SLiM (Simple Login Manager) is a graphical login manager for X11.
It aims to be simple, fast and independent from the various
desktop environments.
SLiM is based on latest stable release of Login.app by Per Lidén.

In fedora, slim may be called through a wrapper, slim-dynwm, which determines
the available window managers using the freedesktop information and modifies
the slim configuration file accordingly, before launching slim.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1 -b .fedora
%patch3 -p1 -b .gcc43
sed -e 's@/usr/X11R6/bin@%{_bindir}@g' -i.orig slim.conf
cp -p %{SOURCE3} README.Fedora

%build
make %{?_smp_mflags} OPTFLAGS="$RPM_OPT_FLAGS" USE_PAM=1

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p' MANDIR=%{_mandir}

install -p -m755 %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/update_slim_wmlist

# do a slim wrapper which updates the window manager list before
# launching slim
cat > $RPM_BUILD_ROOT%{_bindir}/slim-dynwm << EOF
#!/bin/sh
update_slim_wmlist
if [ "x\$1" = "x-nodaemon" ]; then
  shift
  exec slim "\$@"
else
  slim -d "\$@"
fi
EOF

chmod 0755 $RPM_BUILD_ROOT%{_bindir}/slim-dynwm
chmod 0644 $RPM_BUILD_ROOT%{_sysconfdir}/slim.conf

install -d -m755 $RPM_BUILD_ROOT%{_sysconfdir}/pam.d
install -p -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/slim

# use default background image
rm -f $RPM_BUILD_ROOT%{_datadir}/slim/themes/default/background.jpg
ln -s ../../../backgrounds/images/default.jpg $RPM_BUILD_ROOT%{_datadir}/slim/themes/default/background.jpg

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog README* THEMES TODO
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/pam.d/slim
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/slim.conf
%{_bindir}/slim*
%{_bindir}/update_slim_wmlist
%{_mandir}/man1/slim*.1*
%dir %{_datadir}/slim
%{_datadir}/slim/themes/


%changelog
* Fri Feb 22 2008 Anders F Bjorklund <afb@users.sourceforge.net> 1.3.0-4
- add header for strtol(3)

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.3.0-3
- Autorebuild for GCC 4.3

* Sat Jan 19 2008 Anders F Bjorklund <afb@users.sourceforge.net> 1.3.0-2
- rebuild

* Mon Aug  6 2007 Anders F Bjorklund <afb@users.sourceforge.net> 1.3.0-1
- version upgrade

* Mon Aug  6 2007 Anders F Bjorklund <afb@users.sourceforge.net> 1.2.6-6
- require system-logos instead of fedora-logos (#250365)

* Tue May 22 2007 Anders F Bjorklund <afb@users.sourceforge.net> 1.2.6-5
- make sure to own datadir slim parent too

* Mon May 21 2007 Anders F Bjorklund <afb@users.sourceforge.net> 1.2.6-4
- use desktop background, instead of slim
- leave (unused) pam files in the package

* Mon May 14 2007 Anders F Bjorklund <afb@users.sourceforge.net>
- clean up spec file
- correct README user

* Sun May 13 2007 Anders F Bjorklund <afb@users.sourceforge.net> 1.2.6-3
- use slim background instead of default
- added more build dependencies / -devel
- add "README.Fedora"
- patch issue display

* Wed May 09 2007 Anders F Bjorklund <afb@users.sourceforge.net>
- clean up spec file
- noreplace slim.conf

* Tue May 08 2007 Anders F Bjorklund <afb@users.sourceforge.net> 1.2.6-2
- fixed source URL
- added libXft-devel
- removed xrdb dependency (left from wdm)
- added xwd dependency (for screenshots)

* Sun May 06 2007 Anders F Bjorklund <afb@users.sourceforge.net> 1.2.6-1
- initial package
- adopted wdm spec
